Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

Reply to Work Order Message POSTList Work Order Messages GETCreate Work Order Message POST

Resources

CommunicationMessages

List Work Order Messages


Retrieve all messages for a work order. Use the archived filter to include or exclude archived messages.

GET
/api/rest/v2/workorders/{work_order_id}/messages

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

Query Parameters

f_archived?boolean

Filter to include or exclude archived work orders

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages"
{
  "actions": [],
  "correlation_id": "string_value",
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20,
    "columns": "string_value",
    "view": "string_value",
    "sort": "string_value",
    "order": "string_value"
  },
  "params": [],
  "f_work_order": [],
  "fs_work_order": true,
  "f_only_workorder": true,
  "fs_only_workorder": true,
  "results": []
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Reply to Work Order Message POST

Previous Page

Create Work Order Message POST

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/messages"